Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Related Functions | List of all members
ranges::actions::sort_fn Struct Reference
Inheritance diagram for ranges::actions::sort_fn:

## Public Member Functions
template<typename C , typename P = identity> requires (!range<C>)
constexpr auto | operator() (C pred, P proj={}) const
template<typename Rng , typename C = less, typename P = identity> requires forward_range<Rng> && sortable<iterator_t<Rng>, C, P>
Rng | operator() (Rng &&rng, C pred={}, P proj={}) const

## Related Functions
(Note that these are not member functions.)
constexpr action_closure< sort_fn > | sort {}

## Friends And Related Function Documentation

## ◆ sort

constexpr action_closure<sort_fn> sort {}
| related

See also
  action_closure